<?php
	session_start();
	if($_SESSION['subadm'])
	{
		$userid=1111;
	}
	else
	{
		header('location:../login.php');
	}
?>
<?php
	include'connection.php';
		
		$query8="select * from wallet where Userid='$userid' order by Id desc";
		$result8=mysqli_query($con,$query8);
		$data8=mysqli_fetch_array($result8);
		$currentbal= $data8['Balance'];
?>
<html>
<head>
<style>
body{background:url(bg.jpg); background-size:cover; margin:0; padding:0; width:1580px;}
.head{background:; width:1450px; height:85px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420;
	font-weight:bold;}
#p2{font-size:20px; float:left; margin:28 0 0 -8px; color:#eaa040;
	font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420;
	margin-top:48px; margin-left:-153px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:#996420; padding:5px; border-radius:4px;}
 #link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}

.menu{background:#996420; height:40px; width:1450px; margin-left:10px; padding:0; line-height:40px;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 

 #heading{margin-left:20px;}
 .search{width:1300px; margin:10 0 0 20px; height:60px; line-height:60px;}
  .rechhistoryhead{width:1500px; background:#996420; color:white; height:40px;
 margin:0  0 0 20px; line-height:40px;}
 .rechhistoryhead p{margin-left:10px;}
 .rechreport{ margin:0;}
#t1{ width:1500px; text-align:center; border-collapse:collapse; border-color:black; margin-left:20px;}
#t1 th{font-family:calibri; background:#94928f; color:white; }
#t1 td{font-family:calibri;}
#t1 tr:nth-child(odd){}
 
 #red{background:#f8c4c8;}
 #white{background:#e6fbea;}
 .foot{float:left; margin:10 0 0 100px; width:1350px;}
</style>
</head>
<body>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
		<p id="link2">Balance:<?php echo $currentbal; ?> </p>
	</div>
    <?php include 'menu.php'; ?>
		<h3 id="heading">Account Reports<h3><hr>
	<div class="search">
	<form method="post">
		From Date: <input type="date" name="fdate">
		 <input type="submit" name="submit">
	</form>
	</div>
	
	<div class="rechhistoryhead">
		<p>Transaction Reports</p>
	</div>
	
	<div class="rechreport">
	
		<?php
		include'connection.php';
		
		echo "<table border='1' id='t1' cellpadding='5'>";
				echo "<tr>";
					echo "<th>Date | Time</th>";
					echo "<th>Pay&Rech. Id</th>";
					echo "<th>Payment From</th>";
					echo "<th>Payment To</th>";
					echo "<th>Transaction Type</th>";
					echo "<th>Remarks</th>";
					echo "<th>Opening Bal.</th>";
					echo "<th>Credit</th>";
					echo "<th>Debit</th>";
					echo "<th>Closing Bal.</th>";
				echo "</tr>";
		
		if(isset($_POST['submit']))
		{
			$fdate=$_POST['fdate'];
			
			$getrechhistq="select * from wallet where Userid='$userid' and Date='$fdate'";
			$resultgetrechhid=mysqli_query($con,$getrechhistq);
			while($row=mysqli_fetch_array($resultgetrechhid))
			{
				if($row['Status']=='Failed')
				{
					$bgcolor="red";
				}
				else
				{
					$bgcolor="white";
				}
				$payToId=$row['Paymentto'];
				$payFromId=$row['Paymentfrom'];
				$strPayTo= substr($payToId,"0","2");
				$strPayFrom= substr($payFromId,"0","2");
	            if($strPayTo==50 || $strPayFrom==50)
	            {
	                $TableName="retailer";
	            }
	            elseif($strPayTo==20 || $strPayFrom==20)
	            {
	                $TableName="distributer";
	            }
	            elseif($strPayTo==30 || $strPayFrom==30)
	            {
	                $TableName="masterdis";
	            }
	            elseif($strPayTo==11 || $strPayFrom==11)
	            {
	                $TableName="admin";
	            }
	            
	            $quGetName="select * from $TableName where Userid='$payToId'";
	            $reGetName=mysqli_query($con,$quGetName);
	            $dataGetName=mysqli_fetch_array($reGetName);
	            $GetPayToName=$dataGetName['Name'];
	            
	            $quFromName="select * from $TableName where Userid='$payFromId'";
	            $reFromName=mysqli_query($con,$quFromName);
	            $dataFromName=mysqli_fetch_array($reFromName);
	            $GetPayFromName=$dataFromName['Name'];
	            
				echo "<tr id='$bgcolor'>";
					echo "<td>".$row['Date']." | ".$row['Time']."</td>";
					echo "<td>".$row['Paynrechid']."</td>";
					echo "<td>".$GetPayFromName."(".$row['Paymentfrom'].")</td>";
					echo "<td>".$GetPayToName."(".$row['Paymentto'].")</td>";
					echo "<td>".$row['Transactiontype']."</td>";
					echo "<td>".$row['Remarks']."</td>";
					echo "<td>".$row['Openingbalance']."</td>";
					echo "<td>".$row['Credit']."</td>";
					echo "<td>".$row['Debit']."</td>";
					echo "<td>".$row['Balance']."</td>";
				echo "</tr>";
				
				
			}
			
		}
		else
		{
			$getrechhistq="select * from wallet where Userid='$userid' order by Id desc limit 20";
			$resultgetrechhid=mysqli_query($con,$getrechhistq);
			while($row=mysqli_fetch_array($resultgetrechhid))
			{
				if($row['Status']=='Failed')
				{
					$bgcolor="red";
				}
				else
				{
					$bgcolor="white";
				}
				$payToId=$row['Paymentto'];
				$payFromId=$row['Paymentfrom'];
				$strPayTo= substr($payToId,"0","2");
				$strPayFrom= substr($payFromId,"0","2");
				
	            if($strPayTo==50 || $strPayFrom==50)
	            {
	                $TableName="retailer";
	            }
	            elseif($strPayTo==20 || $strPayFrom==20)
	            {
	                $TableName="distributer";
	            }
	            elseif($strPayTo==30 || $strPayFrom==30)
	            {
	                $TableName="masterdis";
	            }
	            elseif($strPayTo==11 || $strPayFrom==11)
	            {
	                $TableName="admin";
	            }
	            
	            $quGetName="select * from $TableName where Userid='$payToId'";
	            $reGetName=mysqli_query($con,$quGetName);
	            $dataGetName=mysqli_fetch_array($reGetName);
	            $GetPayToName=$dataGetName['Name'];
	            
	            $quFromName="select * from $TableName where Userid='$payFromId'";
	            $reFromName=mysqli_query($con,$quFromName);
	            $dataFromName=mysqli_fetch_array($reFromName);
	            $GetPayFromName=$dataFromName['Name'];
	            
				echo "<tr id='$bgcolor'>";
					echo "<td>".$row['Date']." | ".$row['Time']."</td>";
					echo "<td>".$row['Paynrechid']."</td>";
					echo "<td>".$GetPayFromName."(".$row['Paymentfrom'].")</td>";
					echo "<td>".$GetPayToName."(".$row['Paymentto'].")</td>";
					echo "<td>".$row['Transactiontype']."</td>";
					echo "<td>".$row['Remarks']."</td>";
					echo "<td>".$row['Openingbalance']."</td>";
					echo "<td>".$row['Credit']."</td>";
					echo "<td>".$row['Debit']."</td>";
					echo "<td>".$row['Balance']."</td>";
				echo "</tr>";
			}
			
		}
		echo "</table>";
		?>
	
	</div>
		<div class="foot">
		<p>Copyright &copy; 2018 Long Life Product Pvt. Ltd.</p>
	</div>
</body>
</html>